Summary: The Red Hat Linux configuration tool for the X Window System.
Name: Xconfigurator
Version: 4.4.4
Release: 1
License: GPL
Group: User Interface/X Hardware Support
Source: Xconfigurator-%{version}.tar.bz2
Requires: XFree86 >= 3.3.3.1-43,  kbdconfig, mouseconfig >= 2.8, kbd
Requires: initscripts >= 3.60 XFree86-xfs >= 4.0.1 kudzu
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
Xconfigurator is a full-screen, menu-driven program which walks
you through setting up your X server. Xconfigurator is based
on the sources for xf86config, a utility from XFree86.

You should install Xconfigurator if you are installing the X Window
System.

%prep
%setup -q

%build
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
make PREFIX=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README TODO
/usr/X11R6/bin/Xconfigurator
/usr/X11R6/bin/Xtest
/usr/X11R6/share/Xconfigurator
/usr/X11R6/man/man1/Xconfigurator.1x*
/usr/share/locale/*/LC_MESSAGES/Xconfigurator.mo
/usr/X11R6/lib/X11/Cards
/usr/X11R6/lib/X11/doc/README.Config

%changelog
* Mon Oct 23 2000 Matt Wilson <msw@redhat.com>
- these are from (from teg)
- Don't write a 32 bpp section for XFree 4 (#19022)
- Update copyright statements to say "Red Hat, Inc." instead of "Red Hat Software"
- Write XkbModel option for Japanese keyboards.

* Fri Aug 25 2000 Trond Eivind Glomsrd <teg@redhat.com>
- Add and document "--nodri" options - this 
  saves a lot of memory if you have a card with hardware 
  accelerated 3D but can do without, and can thus enable
  higher resolutions.

* Thu Aug 24 2000 Bill Nottingham <notting@redhat.com>
- minor cards database tweak

* Thu Aug 24 2000 Trond Eivind Glomsrd <teg@redhat.com>
- some changes to the card database
- add dell laptops to CardMonitorCombos
- 4.4.0
- some updated translations

* Wed Aug 23 2000 Trond Eivind Glomsrd <teg@redhat.com>
- write the modelinessection for XFree4 inside the monitor 
  section
- add support for IBM Thinkpad 1400x1050 using 
  CardMonitorCombos
- write a defaultcolordepth for XFree 3.3, so it won't 
  crash if you only have a 16 bit entry
- updated cards database wrt R128 cards (Bill)
- remove duplicates from MonitorsDB (#16807)
- fixed one memory access error (njamd is nice) - don't free
  before final use
- add support for specific modelines, resolutions etc
  for specific combinations of cards and monitors
- handle commented lines in the above file
  (/usr/X11R6/share/Xconfigurator/CardMonitorCombos)

* Tue Aug 22 2000 Trond Eivind Glomsrd <teg@redhat.com>
- make "--preferxf4" work again.

* Mon Aug 21 2000 Trond Eivind Glomsrd <teg@redhat.com>
- Use XFree4 driver by default on Riva128
- Added XFree4 driver entries for some S3 cards, C&T
  and others. These are not used by default, but makes
  asking people to do "--preferxf4" possible when they
  have problems.

* Sun Aug 20 2000 Matt Wilson <msw@redhat.com>
- updated translations

* Sat Aug 17 2000 Trond Eivind Glomsrd <teg@redhat.com>
- don't write ZAxisMapping for XFree 3.3 servers
  if emulate3buttons is enabled
- use XFree 4 for neomagic chips. Should fix #15603.

* Wed Aug 16 2000 Trond Eivind Glomsrd <teg@redhat.com>
- clip string length of card identifier (#16388)

* Tue Aug 15 2000 Trond Eivind Glomsrd <teg@redhat.com>
- new monitors (from Preston)
- push the newt helpline to make it translatable

* Mon Aug 14 2000 Trond Eivind Glomsrd <teg@redhat.com>
- fix a bug in --continue mode for cards with
  XFree 3 and XFree 4 driver, but where XFree 3 should
  be used.
- some back button fixes....
- Use XFree 4 for G200 - fixed in our newest X builds

* Fri Aug 11 2000 Trond Eivind Glomsrd <teg@redhat.com>
- fix reading of monitor entries ending with "A - B"
  instead of "A-B" (and remove such entries as well :)

* Thu Aug 10 2000 Trond Eivind Glomsrd <teg@redhat.com>
- important i810 fix - specify VideoRam, so the DRM works.

* Wed Aug 09 2000 Trond Eivind Glomsrd <teg@redhat.com>
- i18n merge
- fix a problem with the back key in monitor selection
- new kudzu
- don't use XFree4 by default on Matrox G200
  (3D works, text doesn't)

* Tue Aug 08 2000 Trond Eivind Glomsrd <teg@redhat.com>
- i18n merge
- minor cleanups
- some updates in monitor and card databases

* Fri Aug 04 2000 Trond Eivind Glomsrd <teg@redhat.com>
- i18n merge
- MediaGX fixes (alan)
- some i18n fixes

* Thu Aug 03 2000 Trond Eivind Glomsrd <teg@redhat.com>
- Added /usr/X11R6/lib/X11/doc/README.Config (#15000)

* Wed Aug 02 2000 Trond Eivind Glomsrd <teg@redhat.com>
- added new modes for 1024x480 and 1280x960
- resorted modelines
- special modes for MediaGX

* Tue Aug 01 2000 Trond Eivind Glomsrd <teg@redhat.com>
- fix GeForce crashes (#13686, #13700)

* Mon Jul 31 2000 Trond Eivind Glomsrd <teg@redhat.com>
- fix bug in kickstart mode wrt. XFree 4
- add the new options to the man page
- now takes back up of the configuration files
- add v4l module for XFree4
- use ColorDepth for XFree4, and place it before the
  individual depths

* Wed Jul 26 2000 Bill Nottingham <notting@redhat.com>
- new '(generic)' entries for Matrox cards

* Wed Jul 26 2000 Matt Wilson <msw@redhat.com>
- new translations for de fr it es

* Tue Jul 25 2000 Trond Eivind Glomsrd <teg@redhat.com>
- memory probing
- respect "UNSUPPORTED" for XFree4
- fix XF86_XF86 bug

* Tue Jul 25 2000 Preston Brown <pbrown@redhat.com>
- Cards db updates for ATI Mobility M3/M4

* Mon Jul 24 2000 Trond Eivind Glomsrd <teg@redhat.com>
- fix "--continue" to probe if requested
- use XFree4 by default for NVidia cards (TnT,TnT2,GeForce)
- fix some bugs in card selection

* Mon Jul 24 2000 Matt Wilson <msw@redhat.com>
- added more Generic monitors (#13309)

* Mon Jul 24 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- restore XFree86 4.x support for MGA and ATI Mach64 chipsets, stay
  with 3.x by default.

* Sun Jul 23 2000 Trond Eivind Glomsrd <teg@redhat.com>
- fix a problem with the back button
- add XF4 drivers for S3 Virge cards as "unsupported"
- add support for 3 button emulation in XFree 4 mode
- minor bugfixes

* Sat Jul 22 2000 Trond Eivind Glomsrd <teg@redhat.com>
- fix coredump when choosing not to create a symlink to XF86Config
  (#13020)
- add switch "-noddcprobe"

* Sat Jul 15 2000 Matt Wilson <msw@redhat.com>
- use XFree86-4.0 on Cirrus Logic GD544x

* Thu Jul 13 2000 Preston Brown <pbrown@redhat.com>
- bind to default xfs unix socket, not -1 anymore
- require 4.0.1 or later xfs version because of the above change.

* Wed Jul 12 2000 Trond Eivind Glomsrd <teg@redhat.com>
- fix some memory related bugs
- retire DDC_KUDZU_WORKS
- some fixes to monitor list

* Mon Jul 02 2000 Trond Eivind Glomsrd <teg@redhat.com>
- some bugfixes for bad DDC detection

* Fri Jun 30 2000 Matt Wilson <msw@redhat.com>
- revert to 3.3.6 Cards file

* Wed Jun 28 2000 Trond Eivind Glomsrd <teg@redhat.com>
- enable DDC explicitly on i386
- use bz2 source
- use %%{_tmppath}

* Mon Jun 19 2000 Matt Wilson <msw@redhat.com>
- remove glint driver entry from Cards

* Sat Jun 17 2000 Matt Wilson <msw@redhat.com>
- a few minor corrections on sparc

* Sat Jun 17 2000 Matt Wilson <msw@redhat.com>
- we now expect you to specify the full binary name for a server in
  kickstart mode, however it trys to figure out if you did it the old
  way and 'just do the right thing'.

* Fri Jun 16 2000 Matt Wilson <msw@redhat.com>
- fix --continue

* Fri Jun 16 2000 Bill Nottingham <notting@redhat.com>
- ia64 tweaks

* Thu Jun 15 2000 Bill Nottingham <notting@redhat.com>
- more cards entries

* Mon Jun 05 2000 Matt Wilson <msw@redhat.com>
- more Cards entries

* Mon Jun 05 2000 Trond Eivind Glomsrd <teg@redhat.com>
- new release - fixes some problems with the Cards list, 
- removed a useless macro from the spec file.
- Some new unenabled features in source (XF4 support) 

* Mon May  8 2000 Matt Wilson <msw@redhat.com>
- added Cards file to Xconfigurator package

* Wed Mar 22 2000 Matt Wilson <msw@redhat.com>
- call gtk_set_locale in Xtest

* Wed Mar 15 2000 Matt Wilson <msw@redhat.com>
- handle japanese jeyboard (patch from Chris Ding)
- add japanese translation

* Sat Mar  4 2000 Cristian Gafton <gafton@redhat.com>
- rebuild for release

* Sat Mar  4 2000 Matt Wilson <msw@redhat.com>
- added mappings for 810 cards

* Wed Feb 16 2000 Matt Wilson <msw@redhat.com>
- massive monitordb update
- use absolute path in Xsun* fontpath script

* Wed Feb  9 2000 Matt Wilson <msw@redhat.com>
- updated MonitorsDB, added and corrected patch from
  loren@lokigames.com to sanity check Cards

* Wed Feb  2 2000 Matt Wilson <msw@redhat.com>
- minor change to the MonitorsDB for Tatung monitors

* Wed Feb 02 2000 Erik Troan <ewt@redhat.com>
- updated (C) to 2000
- do compressed man pages

* Tue Jan  4 2000 Matt Wilson <msw@redhat.com>
- changed MonitorDB format to include:
  manufacturer field
  EDID EISA ID field

* Thu Oct 28 1999 Preston Brown <pbrown@redhat.com>
- updated SGI monitor definitions

* Tue Oct 26 1999 Jakub Jelinek <jakub@redhat.com>
- non-latin1 font fixes for Xtest, turkish translation
  fixes

* Thu Oct 21 1999 Matt Wilson <msw@redhat.com>
- added hard truetype path to help kde on japanese

* Fri Oct  8 1999 Matt Wilson <msw@redhat.com>
- changes from Jakub for sparc

* Thu Sep 30 1999 Preston Brown <pbrown@redhat.com>
- sgi monitors added (# 5443)

* Wed Sep 22 1999 Preston Brown <pbrown@redhat.com>
- fix refresh for Mag 715T monitor (# 5313)

* Wed Sep 22 1999 Matt Wilson <msw@redhat.com>
- new options to Xtest, make it look prettier

* Thu Sep  9 1999 Bill Nottingham <notting@redhat.com>
- require kudzu (bleah).

* Fri Sep  3 1999 Matt Wilson <msw@redhat.com>
- set the DISPLAY environment in the correct place in Xtest

* Thu Sep 02 1999 Bill Nottingham <notting@redhat.com>
- kudzu-ify

* Thu Sep 02 1999 Matt Wilson <msw@redhat.com>
- added --nostart option to Xtest

* Mon Aug 23 1999 Preston Brown <pbrown@redhat.com>
- fixed canadian french keyboard mapping (#4196).

* Mon Aug  2 1999 Matt Wilson <msw@redhat.com>
- rebuilt against newt 0.50

* Tue Apr 20 1999 Matt Wilson <msw@redhat.com>
- added Sun{,24} wrapper to properly set the fontpath
- allow arguments to our Xsun wrapper

* Mon Apr 19 1999 Cristian Gafton <gafton@redhat.com>
- release for Red Hat 6.0

* Thu Apr 15 1999 Matt Wilson <msw@redhat.com>
- integrated changes from DaveM to fix Ultras with PS/2 mouse and keybord
- fixed segfault
- added icelandic thingie

* Thu Apr 15 1999 Preston Brown <pbrown@redhat.com>
- sparc keyboard fix, sun monitor definition for MonitorsDB

* Wed Apr 14 1999 Matt Wilson <msw@redhat.com>
- changed mappings for some matrox cards

* Wed Apr 14 1999 Preston Brown <pbrown@redhat.com>
- if it isn't run out of the installer, start xfs when successful.

* Tue Apr 13 1999 Preston Brown <pbrown@redhat.com>
- attempt to fix Sparc64 keyboard setup (strcasecmp --> strcasestr)

* Mon Apr 12 1999 Preston Brown <pbrown@redhat.com>
- works with security-fixed xfs

* Wed Apr  7 1999 Matt Wilson <msw@redhat.com>
- fix for sun ps/2 keyboard mappings

* Tue Mar 30 1999 Preston Brown <pbrown@redhat.com>
- now writes path to font server as a unix domain socket not tcp socket

* Mon Mar 29 1999 Preston Brown <pbrown@redhat.com>
- change text for 8 mb to "8 mb or more"

* Sat Mar 27 1999 Erik Troan <ewt@redhat.com>
- actually fixed kickstart

* Fri Mar 26 1999 Matt Wilson <msw@redhat.com>
- fixed kickstart

* Mon Mar 22 1999 Matt Wilson <msw@redhat.com>
- fixed bug probing I128 cards

* Mon Mar 15 1999 Matt Wilson <msw@redhat.com>
- fixed handling of unknown error conditions from Xtest
- added option to skip test
- added some custom monitor types

* Wed Mar 10 1999 Matt Wilson <msw@redhat.com>
- removed fprintf debugging
- bound to existing Xconfigurator gettext domain
- fixed %files

* Wed Mar 08 1999 Preston Brown <pbrown@redhat.com>
- don't present 1152x864 as a valid autoprobed default

* Tue Mar  2 1999 Matt Wilson <msw@redhat.com>
- reworked state flow in main to remove gotos and make flow a bit better

* Mon Mar  1 1999 Matt Wilson <msw@redhat.com>
- Xconfigurator now starts X to test the configuration
- assume failure when testing the X setup

* Wed Feb 24 1999 Matt Wilson <msw@redhat.com>
- memory probe for Mach64

* Wed Feb 24 1999 Matt Wilson <msw@redhat.com>
- fixed resolution selection segfault

* Thu Feb 18 1999 Preston Brown <pbrown@redhat.com>
- added sun support from ultrapenguin, and new resolutions 1600x1200
  and 1152x864

* Mon Feb 15 1999 Matt Wilson <msw@redhat.com>
- fixed segfaults in custom monitor setup, inittab writing.

* Mon Feb  8 1999 Matt Wilson <msw@redhat.com>
- fixed check for null ramdac in xf86config writing (thought I got this one)

* Mon Feb  8 1999 Matt Wilson <msw@redhat.com
- Don't pop up windows after newt shuts down

* Mon Feb  8 1999 Matt Wilson <msw@redhat.com>
- Check to see if you're in --pick before presenting the initlevel screen

* Mon Feb  8 1999 Matt Wilson <msw@redhat.com>
- added --startxonboot

* Sun Feb  7 1999 Matt Wilson <msw@redhat.com>
- fixed check for null ramdac in xf86config writing

* Sun Feb  7 1999 Matt Wilson <msw@redhat.com>
- moved the inittab question to the proper place.

* Sun Feb  7 1999 Matt Wilson <msw@redhat.com>
- away with global variables - pass a struct around
- added a feature to rewrite the inittab to bring up the machine
  in runlevel 5 after asking the user if they want this.

* Tue Jan 19 1999 Bill Nottingham <notting@redhat.com>
- don't build on arm

* Sun Jan 10 1999 Matt Wilson <msw@redhat.com>
- Rebuilt for newt 0.40

* Wed Jan  6 1999 Matt Wilson <msw@redhat.com>
- Rebuilt for rawhide

* Wed Jan  6 1999 Matt Wilson <msw@redhat.com>
- Added probing for 3DLabs GLINT MX boards 

* Mon Dec 21 1998 Matt Wilson <msw@redhat.com>
- Rebuilt for rawhide

* Mon Dec 21 1998 Matt Wilson <msw@redhat.com>
- Fixed one more segfault

* Mon Dec 21 1998 Matt Wilson <msw@redhat.com>
- Added 3DLabs support, requires 3.3.3, fixed Cards display, fixed segfault

* Tue Dec 15 1998 Jeff Johnson <jbj@redhat.com>
- add ru.po.

* Wed Dec 02 1998 Erik Troan <ewt@redhat.com>
- added compaq monitors

* Fri Nov 13 1998 Preston Brown <pbrown@redhat.com>
- adjusted FontPath entries

* Thu Nov 12 1998 Matt Wilson <msw@redhat.com>
- Added pci probing for Riva 128 cards, made VideoRam exception (the server
can't figure out how much video ram Rive 128 cards have.)

* Thu Oct 22 1998 Bill Nottingham <notting@redhat.com>
- build for Raw Hide (slang-1.2.2)

* Wed Oct 14 1998 Cristian Gafton <gafton@redhat.com>
- translation updates

* Mon Oct 12 1998 Arnaldo Carvalho de Melo <acme@conectiva.com.br>
- updated pt_BR translations
- more i18n strings: ramdac_name, clockchip_name, monitortype_name

* Tue Oct 06 1998 Preston Brown <pbrown@redhat.com>
- updated pci probing to handle S3V GX2 and MX cards

* Mon Sep 28 1998 Preston Brown <pbrown@redhat.com>
- fixed autoprobing for S3V based cards, and for AGP Millennium II

* Fri Sep 25 1998 Preston Brown <pbrown@redhat.com>
- merged back in mouseconfig stuff, somehow lost!??
- merge back erik's changes, also lost!

* Fri Sep 25 1998 Cristian Gafton <gafton@redhat.com>
- turkish update

* Fri Sep 25 1998 Matthew Wilson <msw@redhat.com>
- More backbutton changes, state saving changes.  Much work left to do.

* Thu Sep 24 1998 Cristian Gafton <gafton@redhat.com>
- NeoMagic video list update

* Thu Sep 24 1998 Preston Brown <pbrown@redhat.com>
- tiny update for new mouseconfig

* Wed Sep 23 1998 Erik Troan <ewt@redhat.com>
- added support for new /etc/sysconfig/keyboard format

* Thu Sep 17 1998 Preston Brown <pbrown@redhat.com>
- fixed problem with path to keyboard map being wrong with new kbd package

* Tue Sep 15 1998 Preston Brown <pbrown@redhat.com>
- added support for new XMOUSETYPE from mouseconfig
- merged changes into cvs (whoops)

* Mon Aug 10 1998 Erik Troan <ewt@redhat.com>
- incorporated Back button mods from Matt Wilson

* Sun Aug 02 1998 Erik Troan <ewt@redhat.com>
- built against newt 0.30

* Wed Jun 10 1998 Erik Troan <ewt@redhat.com>
- was using wrong domain name for translations

* Thu May 14 1998 Cristian Gafton <gafton@redhat.com>
- fixed alpha version

* Thu May 07 1998 Erik Troan <ewt@redhat.com>
- use /sbin/setsysfont to restore the system font
- added tr, no, cz, de, no, fr translations (maybe a couple of others)

* Fri Apr 17 1998 Erik Troan <ewt@redhat.com>
- include translations in build

* Sun Apr 05 1998 Erik Troan <ewt@redhat.com>
- updated for new newt, i18n-ready
- removed tons of extraneous code
- doesn't use imake anymore
- buildrooted
- moved monitor database to /usr/X11R6/share
- requires X11R6 > 3.3.2 rather then xserver-wrapper

* Wed Jan 21 1998 Erik Troan <ewt@redhat.com>
- don't install /usr/X11R6/bin/X symlink, just require xserver-wrapper instead

* Sun Nov  9 1997 Michael Fulbright <msf@redhat.com>
- fixed --pick/--continue and --expert interaction

* Sat Nov 08 1997 Erik Troan <ewt@redhat.com>
- added checks for bad parameters

* Fri Nov  7 1997 Michael Fulbright <msf@redhat.com>
- added new video card entries from 2.0.31 kernel pci.c

* Mon Nov  3 1997 Michael Fulbright <msf@redhat.com>
- changed /etc/X11/X symlink to be relative, not absolute

* Thu Oct 30 1997 Michael Fulbright <msf@redhat.com>
- fixed VGA16 kickstart support
- fixed version string

* Mon Oct 27 1997 Michael Fulbright <msf@redhat.com>
- Fixed Mach64 autoprobing problems
- Added more user options when selecting from autoprobed video modes

* Tue Oct 14 1997 Michael Fulbright <msf@redhat.com>
- fixed handling of temp files to be more safe
- added option for interactive mode to autoprobe ram,color depth, etc.

* Mon Oct  6 1997 Michael Fulbright <msf@redhat.com>
- made 'Unlisted Card' work again
- added more monitors
- added a beta man page

* Thu Oct  2 1997 Michael Fulbright <msf@redhat.com>
- added generic monitor types

* Wed Oct  1 1997 Michael Fulbright <msf@redhat.com>
- made it run /etc/X11/X explicitely
- added --expert flag
- fixed memory allocation problem in SplitString()

* Tue Sep 30 1997 Michael Fulbright <msf@redhat.com>
- added kickstart support
- added PCI probing for PCI video card autodetection
- added use of --probeonly to get video card information

